package route

import (
	"kpt-pasture/http/handler/event"

	"github.com/gin-gonic/gin"
)

func EventAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// eventRoute API 组  事件管理
		eventRoute := authRouteGroup(s, "/api/v1/event/")
		// 入场
		eventRoute.POST("/enter/list", event.EnterEventList)
		eventRoute.POST("/enter/create", event.EnterEventCreate)
		// 转群
		eventRoute.POST("/group/transfer/list", event.GroupTransferEventList)
		eventRoute.POST("/group/transfer/create", event.GroupTransferEventCreate)
		// 体况评分
		eventRoute.POST("/body/score/list", event.BodyScoreEventList)
		eventRoute.POST("/body/score/create", event.BodyScoreEventCreate)
		// 产犊
		eventRoute.POST("/calving/list", event.CalvingEventList)
		eventRoute.POST("/calving/create", event.CalvingEventCreate)
		// 孕检
		eventRoute.POST("/pregnant/check/list", event.PregnantCheckEventList)
		eventRoute.POST("/pregnant/check/create", event.PregnantCheckEventCreate)
		// 配种
		eventRoute.POST("/mating/list", event.MatingEventList)
		eventRoute.POST("/mating/create", event.MatingCreate)
		// 发情
		eventRoute.POST("/estrus/list", event.EstrusEventList)
		eventRoute.POST("/estrus/create", event.EstrusCreate)
		// 冻精
		eventRoute.POST("/frozen/seme/list", event.FrozenSemeList)
		eventRoute.POST("/frozen/seme/create", event.FrozenSemeCreate)

		// 称重
		eventRoute.POST("/weight/list", event.WeightEventList)
		eventRoute.POST("/weight/create", event.WeightEventCreate)
	}
}
